Quick Start to Autodesk Network Licensing

How to Install the Network License Manager
Quick Start to Autodesk Network Licensing
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Setting up network licenses for an Autodesk®product requires careful planning and execution. This section gives you quick, step-by-step instructions about how to set up a network licensed environment, and assumes that you are familiar with the terminology and processes required to set up an Autodesk product to run on a network. If you are not familiar with network licensing, please read the entire Network Licensing Guide for further details before you attempt to set up a network license server.

Topics in this section

  • How to Install the Network License Manager
  • How to Install and Use the Network License Activation Utility
  • How to Configure a License Server (Windows)
  • How to Install and Use SAMreport-Lite (Optional)
Please send us your comment about this page


How to Install the Network License Manager

Quick Start to Autodesk Network Licensing
Quick Start to Autodesk Network Licensing
How to Install and Use the Network License Activation Utility
Quick Start to Autodesk Network Licensing >
How to Install the Network License Manager
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The Network License Manager is used to configure and manage the license servers.

To install your Network License Manager

  1. In the Autodesk Installation wizard, click Install Tools and Utilities.
  2. On the Select the Products to Install page, select Autodesk Network License Manager and click Next.
  3. Review the Autodesk software license agreement for your country or region. You must accept this agreement to proceed with the installation. Choose your country or region, click I Accept, and then click Next.
    NoteIf you do not agree to the terms of the license and want to terminate the installation, click Cancel.
  4. On the Review - Configure - Install page, review your product selection and the current settings. If you do not want to change anything, click Install. If you want to change the install type or installation path, click Configure.
  5. On the Select the Installation Type page, select Typical or Custom and accept the default installation path (C:\Program Files\Autodesk Network License Manager\) or Browse to specify a different path. If you enter a path that does not exist, a new folder is created using the name and location you provide. Click Next.
    WarningDo not install the Network License Manager on a remote drive. When you install the Network License Manager files, you must provide a path to a local drive. You must specify the drive letter; the universal naming convention (UNC) is not permitted.
  6. On the Configuration Complete page, click Configuration Complete to return to the confirmation page.
  7. On the Review - Configure - Install page, click Install.
  8. When the Installation Complete page displays, click Finish.


How to Install and Use the Network License Activation Utility

How to Install the Network License Manager
Quick Start to Autodesk Network Licensing
How to Configure a License Server (Windows)
Quick Start to Autodesk Network Licensing >
How to Install and Use the Network License Activation Utility
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

With the Network License Activation utility, you can obtain licenses over the Internet, which saves time and effort in setting up a network-licensed version of the program. In addition, you can register your product, get automated support by email if you cannot obtain a license over the Internet, and save and migrate license files automatically.

To install your Network License Activation utility

  1. In the Autodesk Installation wizard, click Install Tools and Utilities.
    NoteEach installation of the Network License Activation utility is product specific. If you have more than one Autodesk product and you want to install the Network License Activation utility on all of them, you must install it once for each product.
  2. On the Select the Products to Install page, select Autodesk Network License Activation utility and click Next.
  3. Review the Autodesk software license agreement for your country or region. You must accept this agreement to proceed with the installation. Choose your country or region, click I Accept, and then click Next.
    NoteIf you do not agree to the terms of the license and want to terminate the installation, click Cancel.
  4. On the Review - Configure - Install page, review your product selection and the current settings. If you do not want to change anything, click Install.

    If you want to change the install type or installation path, click Configure.

  5. On the Select the Installation Type page, select Typical or Custom and accept the default installation path (C:\Program Files\Autodesk Network License Manager\Network License Activation Utility) or Browse to specify a different path. If you enter a path that does not exist, a new folder is created using the name and location you provide. Click Next.
  6. On the Configuration Complete page, click Configuration Complete to return to the confirmation page.
  7. On the Review - Configure - Install page, click Install.
  8. When the Installation Complete page displays, click Finish.

To use your Network License Activation utility (online request)

  1. Do one of the following:
    • (Windows XP) Click Start [image] Programs [image] Autodesk [image] Network License Manager [image] [Autodesk Product] Network License Activation Utility.
    • (Windows Vista) Click Start [image] All Programs [image] Autodesk [image] Network License Manager [image] [Autodesk Product] Network License Activation Utility.
  2. On the Obtain a Network License page, make sure Direct Connect (over the Internet) is active, enter your product key, and then click Next.
  3. On the Server Information page, enter the following data:
    • The product serial number
      NoteIf you are modifying an existing license file or obtaining a new license for an existing product, your previously entered information might be displayed. Make sure that the serial number that is displayed is the one you want to license. If it is not, enter the correct product serial number.
    • The license server model

      For more information about each license server model, click the ? button.

    • The server host name

      (Windows) If you do not know the host name, enter the following in command prompt to locate the name of each server you plan to use:

      <prompt> lmutil lmhostid -hostname
      NoteIn a Distributed server model, you are limited to a maximum of 20 servers. Once the 20 server limit has been reached, the Add button disappears.
    • The host ID, for each server host name you entered

      (Windows) If you cannot find the host ID, click Lookup to have the utility automatically locate the host ID for the server(s).

      NoteIf your server has more than one network adapter, select the one that corresponds to a physical network adapter. To determine which adapters are physical, enter ipconfig /all at a Windows command prompt and view the Description field above each physical address. If there is more than one physical network adapter, you can use any one of them, as long as it was listed when you ran ipconfig /all. Logical devices such as VPN adapters, PPP adapters, and modems may be listed but are not usable for licensing.
    • The number of seats for each license server

      If you choose a Distributed server model, the Seats box is displayed. Enter the number of seats for each license server.

    Click Next.

  4. On the Confirm Server Information page, review the server information you entered, and click Next.
  5. On the Log In page, enter your User ID and Password and then click Log In.

    If you do not have a user account, click the Create a User ID Now link and follow the instructions to create a user account.

  6. On the Choose Account page, select an account and click Next.
  7. On the License(s) Received page, in the Save License File for [computer name] field, enter the location where you want to save your license file, or click Browse to navigate to the location.
    NoteIt is recommended that you save your license file to C:\Program Files\Autodesk Network License Manager\License.

    The content of this page differs depending on which server model you selected.

    Click Next.

  8. On the License Activation Successful page, click Print to save a printed copy of the license information, or click Done to complete the transaction and exit the Network Activation utility.

(Windows) After you receive your license file and save it locally, refer to How to Configure a License Server (Windows) to configure your license manager.

To use your Network License Activation utility (offline request)

  1. Do one of the following:
    • (Windows XP) Click Start [image] Programs [image] Autodesk [image] Network License Manager [image] [Autodesk Product] Network License Activation Utility.
    • (Windows Vista) Click Start [image] All Programs [image] Autodesk [image] Network License Manager [image] [Autodesk Product] Network License Activation Utility.
  2. On the Obtain a Network License page, click Email, fax, phone or send request by postal mail, enter your product key, and then click Next.
  3. On the Server Information page, enter the following data:
    • The product serial number
      NoteIf you are modifying an existing license file or obtaining a new license for an existing product, your previously entered information might be displayed. Make sure that the serial number that is displayed is the one you want to license. If it is not, enter the correct product serial number.
    • The license server model

      For more information about each license server model, click the ? button.

    • The server host name

      (Windows) If you do not know the host name, enter the following in command prompt to locate the name of each server you plan to use:

      <prompt> lmutil lmhostid -hostname
      NoteIn a Distributed server model, you are limited to a maximum of 20 servers. Once the 20 server limit has been reached, the Add button disappears.
    • The host ID, for each server host name you entered

      (Windows) If you cannot find the host ID, click Lookup to have the utility automatically locate the host ID for the server(s).

      NoteIf your server has more than one network adapter, select the one that corresponds to a physical network adapter. To determine which adapters are physical, enter ipconfig /all at a Windows command prompt and view the Description field above each physical address. If there is more than one physical network adapter, you can use any one of them, as long as it was listed when you ran ipconfig /all. Logical devices such as VPN adapters, PPP adapters, and modems may be listed but are not usable for licensing.
    • The number of seats for each license server

      If you choose a Distributed server model, the Seats box is displayed. Enter the number of seats for each license server.

    Click Next.

  4. On the Confirm Server Information page, review the server information you entered, and click Next.
  5. On the Product Registration page, specify the following:
    • Whether the product will be registered to a company or individual.
    • The country or region where the product will be used.
    • If the product is an upgrade. If it is, you also need the previous product’s serial number.

    Click Next.

  6. Enter your personalization data on the Customer Information page and choose how you would like to receive your activation code - Email, Fax, or Postal mail. Click Next.
  7. Review your personalization data on the Confirm Information page and choose the method you will use to submit your request. Your request can be sent by email, fax, or phone.

    If you choose Send my request by Email, an email message will display for you to complete. If you choose to forward your request by fax or phone, the Contact Autodesk page will display with pertinent contact information.

    Your activation code will be sent by the method you specified on the Customer Information page.

  8. If you want to print a copy of your registration information, select the Select Open Activation Request Form. When you are finished, click Close.

(Windows) After you receive your license file and save it locally, refer to How to Configure a License Server (Windows) to configure your license manager.

NoteIt is recommended that you save your license file to the location where you installed the Network License Manager.


How to Configure a License Server (Windows)

How to Install and Use the Network License Activation Utility
Quick Start to Autodesk Network Licensing
How to Install and Use SAMreport-Lite (Optional)
Quick Start to Autodesk Network Licensing >
How to Configure a License Server (Windows)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

You configure a license server so that you can manage the Autodesk product licenses you received when you ran the Network License Activation utility. Configure the license server with the lmtools.exe utility.

To configure your license server

You should be logged in with Administrator rights when working with the LMTOOLS utility.

  1. Do one of the following:
    • (Windows XP) Click Start [image] Programs [image] Autodesk [image] Network License Manager [image] LMTOOLS.
    • (Windows Vista) Double-click the LMTOOLS icon on the desktop.
  2. In the LMTOOLS program, on the Service/License File tab, make sure the Configure Using Services option is active.
  3. Click the Config Services tab.
  4. In the Service Name list, select the service name you want to use to manage licenses.

    By default, the service name is Flexlm Service 1. If FLEXnet® is managing other software on your computer in addition to Autodesk, you can change the service name to avoid confusion. For example, you can rename Flexlm Service 1 to Autodesk Server1.

    NoteIf you have more than one software vendor using FLEXnet® for license management, the Service Name list contains more than one option. Make sure that only one Autodesk service is listed.
  5. In the Path to Lmgrd.exe File field, enter the path to the Network License Manager daemon (lmgrd.exe), or click Browse to locate the file.

    By default, this daemon is installed in the C:\Program Files\Autodesk Network License Manager folder.

  6. In the Path to the License File box, enter the path to your license file, or click Browse to locate the file.

    This is the path to the license file obtained by the Network License Activation utility or the location where you placed the license file if you obtained it offline.

  7. In the Path to the Debug Log File box, enter a path to create a debug log, or click Browse to locate an existing log file.

    It is recommended that you save to the C:\Program Files\Autodesk Network License Manager folder. The log file must have a .log file extension. For new log files, you must enter the .log extension manually.

  8. To run lmgrd.exe as a service, select Use Services.
  9. To start lmgrd.exe automatically when the system starts, select Start Server at Power Up.
  10. Click Save Service to save the new configuration under the service name you selected in step 4. Click Yes when prompted if you would like to save the settings to the service.
  11. Click the Start/Stop/Reread tab and do one of the following:
    • If a service has not yet been defined for Autodesk, click Start Server to start the license server.
    • If a service for Autodesk is already defined and running, click ReRead License File to refresh the Network License Manager with any changes made to the license file or Options file.

    The license server starts running and is ready to respond to client requests.

  12. Close lmtools.exe.


How to Install and Use SAMreport-Lite (Optional)

How to Configure a License Server (Windows)
Quick Start to Autodesk Network Licensing
Introduction to Autodesk Network Licensing Tools
Quick Start to Autodesk Network Licensing >
How to Install and Use SAMreport-Lite (Optional)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

SAMreport-Lite is a reporting tool that helps you track network license usage. With SAMreport-Lite technology from Acresso™ Software, you can monitor client usage for Autodesk network licensed products.

To learn more about installing and using SAMreport-Lite, see the SAMreport-Lite User's Guide; click the Documentation link at the lower left corner of the Installation wizard or see the Autodesk product’s Help system.


Introduction to Autodesk Network Licensing Tools

How to Install and Use SAMreport-Lite (Optional)
Network License Manager
Introduction to Autodesk Network Licensing Tools
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Autodesk Network licensing tools include the Network License Manager, the Network License Activation utility, the FLEXnet configuration tools, and SAMreport-Lite. Each tool is described in the sections that follow.

Topics in this section

  • Network License Manager
  • Network License Activation Utility
  • FLEXnet Configuration Tools
  • SAMreport-Lite License Reporting Tool


Network License Manager

Introduction to Autodesk Network Licensing Tools
Introduction to Autodesk Network Licensing Tools
System Requirements for the Network License Manager
Introduction to Autodesk Network Licensing Tools >
Network License Manager
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The Network License Manager is used to configure and manage the license servers. When creating a deployment, the Installation wizard prompts you for information about the license manager, such as license server model and server name.

For more information about deploying an Autodesk product from a network location, see the Network Administrator's Guide, by clicking the Documentation link at the lower left corner of the Installation wizard and in the Help system.

Topics in this section

  • System Requirements for the Network License Manager


System Requirements for the Network License Manager

Network License Manager
Network License Manager
Network License Activation Utility
Introduction to Autodesk Network Licensing Tools > Network License Manager >
System Requirements for the Network License Manager
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Make sure that your network license server meets the minimum recommended requirements. See the following table for hardware and software requirements.

NoteNot all products support all operating systems. See your product’s Network Administrator’s Guide for supported operating systems.
Hardware and software requirements for the network license server
Hardware/software | Requirement | Notes
Operating system | Windows Vista® 32-bit SP1 Windows Vista 64-bit SP1 Windows® XP 32-bit SP3 Windows XP 64-bit SP2 Windows 2003 R2 Server Edition Windows 2003 Server Edition Windows 2000 Server Edition* | The Network License Manager supports Ethernet network configurations only. *If you use a Windows 2000 Server, you must manually install the Network License Manager located in your product’s install folder: CDROM1\x86\support\NLM\en-US\NLM.msi.
Computer/processor | Pentium® III or higher 450 Mhz (minimum) Intel Mac |
Network interface card | Compatible with existing Ethernet network infrastructure | The Network License Manager supports multiple network interface cards, but at least one must be an Ethernet card.
Communication protocol | TCP/IP | The Network License Manager uses TCP packet types.


Network License Activation Utility

System Requirements for the Network License Manager
Introduction to Autodesk Network Licensing Tools
FLEXnet Configuration Tools
Introduction to Autodesk Network Licensing Tools >
Network License Activation Utility
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

With the Network License Activation utility, you can obtain licenses over the Internet, which saves time and effort in setting up a network licensed Autodesk product.

In addition, the utility registers your product, provides automated support for email if you cannot obtain a license over the Internet, and saves and migrates license files automatically so that you do not have to.

NoteIt is recommended that you use the Network License Activation utility to obtain your license file. However, if you are unable to connect to the Internet to obtain a license file, see Use the Network License Activation Utility.


FLEXnet Configuration Tools

Network License Activation Utility
Introduction to Autodesk Network Licensing Tools
Utilities for License Server Management
Introduction to Autodesk Network Licensing Tools >
FLEXnet Configuration Tools
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The Network License Manager uses FLEXnet® license management technology from Acresso Software. FLEXnet provides administrative tools that help to simplify management of network licenses. You can use FLEXnet tools to monitor network license status, reset licenses lost to a system failure, troubleshoot license servers, and update existing license files on the fly.

Topics in this section

  • Utilities for License Server Management
  • The Options File


Utilities for License Server Management

FLEXnet Configuration Tools
FLEXnet Configuration Tools
The Options File
Introduction to Autodesk Network Licensing Tools > FLEXnet Configuration Tools >
Utilities for License Server Management
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

FLEXnet provides two utilities for managing the license server. These tools are located in the C:\Program Files\Autodesk Network License Manager folder.

lmtools.exe

Provides a Microsoft® Windows graphical user interface for managing the license server.

lmutil.exe

Provides a set of command line options for managing the license server.

You can use lmtools.exe or lmutil.exe to perform the following server management tasks:

  • Start, stop, and restart the server.
  • Configure, update, and reread the license file.
  • Diagnose system or license problems.
  • View server status, including active license status.


The Options File

Utilities for License Server Management
FLEXnet Configuration Tools
SAMreport-Lite License Reporting Tool
Introduction to Autodesk Network Licensing Tools > FLEXnet Configuration Tools >
The Options File
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Another component of FLEXnet is the Options file. You create this file to set specific configuration options. For information about creating and using an options file, see Set Up and Use an Options File.

Use the Options file to set parameters for the following server-related features:

Report log file

A compressed, encrypted file is created that generates accurate usage reports on license activity for use by SAMreport-Lite. For more information about SAMreport-Lite, see the SAMreport-Lite User's Guide, which you can access on the Documentation tab of the menu browser.

License borrowing

If your Autodesk product supports the license borrowing feature, you can allow users to borrow an Autodesk product license from a network license server so that they can use the product without being connected to the license server. A license can be borrowed for a limited time.

License timeout

With license timeout, you can set a timeout period on your license server for one Autodesk product at a time. When set, license timeout returns a license to the license server when a connection with the workstation is lost, or if a license is checked out but the Autodesk product is idle on a workstation for longer than the timeout period you define.

License timeoutall

With license timeoutall, you can set a timeout period on your license server that applies to all Autodesk products installed on your computer. When set, license timeout returns a license to the license server when a connection with the workstation is lost, or if a license is checked out but the Autodesk product is idle on a workstation for longer than the timeout period you define.

For more information about configuration options, see Set Up and Use an Options File.

For specific information about using FLEXnet configuration tools, see the FLEXnet documentation by navigating to C:\Program Files\Autodesk Network License Manager\Docs\FlexUser\LicenseAdministration.pdf.


SAMreport-Lite License Reporting Tool

The Options File
Introduction to Autodesk Network Licensing Tools
Plan Your Network Licensing
Introduction to Autodesk Network Licensing Tools >
SAMreport-Lite License Reporting Tool
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

While not part of the network installation, a version of SAMreport called SAMreport-Lite is available to help you track network license usage. With SAMreport-Lite technology from Acresso Software, you can monitor client usage for Autodesk network licensed products.

SAMreport-Lite generates usage reports in various output formats including HTML, text, and Report Interchange Format. For more information about the SAMreport-Lite features and for instructions on installing SAMreport-Lite, see the SAMreport-Lite User's Guide.

NoteYou can install SAMreport-Lite and access the SAMreport-Lite User's Guide from the Autodesk product menu browser.

For additional information about SAMreport-Lite, and for updates and fixes for this feature, visit the Autodesk website at:

www.autodesk.com/samreportlite


Plan Your Network Licensing

SAMreport-Lite License Reporting Tool
Plan Your License Server Configuration
Plan Your Network Licensing
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

This section contains information that you need to know before you set up a network license server. The section includes information about supported license server models, license operation and availability, network license file definitions and parameters, license file examples, license types and behaviors, and the license server heartbeat signal.

Topics in this section

  • Plan Your License Server Configuration
  • Learn About Your License


Plan Your License Server Configuration

Plan Your Network Licensing
Plan Your Network Licensing
Single License Server Model
Plan Your Network Licensing >
Plan Your License Server Configuration
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

You must decide which license server model to use for managing your Autodesk product licenses on a server. Autodesk supports the following network license server models:

  • Single license server model
  • Distributed license server model
  • Redundant license server model

Topics in this section

  • Single License Server Model
  • Distributed License Server Model
  • Redundant License Server Model


Single License Server Model

Plan Your License Server Configuration
Plan Your License Server Configuration
Distributed License Server Model
Plan Your Network Licensing > Plan Your License Server Configuration >
Single License Server Model
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

In the single license server model, the Network License Manager is installed on a single server, so license management and activity is restricted to this server. A single license file represents the total number of licenses available on the server.

Advantages of the Single License Server Model

  • Because all license management takes place on a single server, you have just one point of administration and one point of failure.
  • Of the three license server models, this configuration requires the least amount of maintenance.

Disadvantage of the Single License Server Model

  • If the single license server fails, the Autodesk product cannot run until the server is back online.


Distributed License Server Model

Single License Server Model
Plan Your License Server Configuration
Redundant License Server Model
Plan Your Network Licensing > Plan Your License Server Configuration >
Distributed License Server Model
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

In the distributed license server model, licenses are distributed across more than one server. A unique license file is required for each server. To create a distributed license server, you must run the Network License Manager on each server that is part of the distributed server pool.

Advantages of the Distributed License Server Model

  • Servers can be distributed across a wide area network (WAN); they do not need to exist on the same subnet.
  • If one server in the distributed server pool fails, the licenses on the remaining servers are still available.
  • If you need to replace a server in the distributed server pool, you do not need to rebuild the entire pool.
  • Server replacement is easier than in a redundant server pool, where you must reactivate the entire pool.

Disadvantage of the Distributed License Server Model

  • If a server in the distributed server pool fails, the licenses on that server are unavailable.


Redundant License Server Model

Distributed License Server Model
Plan Your License Server Configuration
Learn About Your License
Plan Your Network Licensing > Plan Your License Server Configuration >
Redundant License Server Model
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

In the redundant license server model, you use three servers to authenticate a single license file. One server acts as the master, while the other two provide backup if the master server fails. With this configuration, licenses continue to be monitored and issued as long as at least two servers are still functional. The license file on all three servers is the same. You must install the Network License Manager on each server.

In the redundant license server model, all servers must reside on the same subnet and have consistent network communications. (Slow, erratic, or dial-up connections are not supported.)

Advantage of the Redundant License Server Model

  • If one of the three servers fails, all licenses that are managed in the server pool are still available.

Disadvantages of the Redundant License Server Model

  • If more than one server fails, no licenses are available.
  • All three servers must reside on the same subnet and have reliable network communications. The redundant server pool does not provide network fault tolerance.
  • If one of the three servers is replaced, the complete redundant server pool must be rebuilt.
  • If your Autodesk product supports license borrowing and licenses are borrowed from a redundant license server pool, you must restart the license server after you stop the Network License Manager.


Learn About Your License

Redundant License Server Model
Plan Your Network Licensing
License Operation and Availability
Plan Your Network Licensing >
Learn About Your License
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

In this section, you learn about license operation and availability, the license file, license types and behaviors, and the heartbeat signal.

Topics in this section

  • License Operation and Availability
  • License Files
  • License File Examples
  • Package License File Examples
  • License Types and Behaviors
  • Heartbeat Signal


License Operation and Availability

Learn About Your License
Learn About Your License
License Files
Plan Your Network Licensing > Learn About Your License >
License Operation and Availability
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

When you start an Autodesk product, the product determines the server from which it should try to obtain a license. The product then requests a license through the TCP/IP network protocol to the license server.

If the number of available licenses has not been exceeded on the license server, the Network License Manager assigns a license to the workstation. A product session then starts on the workstation, and the number of available licenses on the license server is reduced by one.

Likewise, when you exit a product, the Network License Manager frees a license for another user. If you run multiple sessions of an Autodesk product on an individual workstation, only one license is used. When the last session is closed, the license is freed.

The following three processes manage the distribution and availability of licenses:

  • License manager daemon (lmgrd.exe). Handles the original contact with the application, and then passes the connection to the vendor daemon. The lmgrd.exe daemon is used to communicate with the vendor daemon only; lmgrd.exe does not authenticate or dispense licenses, but rather passes user requests to the vendor daemon. By using this approach, a single lmgrd.exe daemon can be used by multiple software vendors to provide license authentication. The lmgrd.exe daemon starts and restarts the vendor daemons as needed.
  • Autodesk vendor daemon (adskflex.exe). Tracks the licenses that are checked out and the workstations that are using them. Each software vendor has a unique vendor daemon to manage vendor-specific licensing. As its name implies, the adskflex.exe vendor daemon is specific to Autodesk products.
NoteIf the adskflex.exe vendor daemon terminates for any reason, all users lose their licenses until lmgrd.exe restarts the vendor daemon or the problem causing the termination is resolved.
  • License file. A text file that has vendor-specific license information.


License Files

License Operation and Availability
Learn About Your License
License File Examples
Plan Your Network Licensing > Learn About Your License >
License Files
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The network license file you receive from Autodesk contains licensing information required for a network installation. You obtain license file data when you register your Autodesk product.

The license file contains information about network server nodes and vendor daemons. It also contains an encrypted digital signature that is created when Autodesk generates the file.

The license file is located in a network location that you specify in the Deployment wizard. That network location must be accessible to every user who runs the product from a network installation.

The following table defines each license file parameter.

Definitions of license file parameters
Line | Parameter | Definition | Example
SERVER | Host Name | Host name of the server where the Network License Manager resides | LABSERVER
 | Host ID | Ethernet address of the server where the Network License Manager resides | 03D054C0149B
USE_SERVER | [None] |  |
VENDOR | Vendor Daemon | Name of the server-side Autodesk vendor daemon | adskflex.exe
 | Port Number | Network port number reserved and assigned for use only by Autodesk products running the Autodesk vendor daemon | port=2080
PACKAGE | Name | Name of feature code group | SERIES_1
 | Version | Internal version number reference | 1.000
 | COMPONENTS | List of feature codes supported in the package | COMPONENTS= "526000REVIT_9_OF\ 51200ACD_2007_OF\ 513001INVBUN_11_OF"
 | OPTIONS |  | OPTIONS=SUITE
 | SUPERSEDE | Replacement for any existing Increment line of the same feature code from any license files on the same license server that have a date earlier than the defined Issue Date | SUPERSEDE
 | SIGN | Encrypted signature used to authenticate the attributes of the license file | SIGN=0 SIGN2=0
INCREMENT | Feature Code | Product supported by the license file | 51200ACD_2007_0F
 | Expiration Date | Amount of time the licenses are available | permanent
 | Number of Licenses | Number of licenses supported by the license file | 25
 | VENDOR_STRING | License usage type and license behavior of the product that is supported by the license file | COMMERCIAL
 | BORROW | Definition of the license borrowing period for the licenses defined under the same increment line. In this example, the maximum period that licenses can be borrowed is 4320 hours (180 days), unless otherwise noted (for example, BORROW=2880 means that licenses can be borrowed for a maximum of 2880 hours, or 120 days). License borrowing is disabled when this parameter is absent in the license file. | BORROW=4320
 | DUP_GROUP | Definition of multiple license requests when the same user and same host share the same license | DUP_GROUP=UH
 | ISSUED | Date that the license file was generated by Autodesk | 15-jul-2006
 | Serial Number | Serial number of the Autodesk product | 123-12345678
 | SIGN | Encrypted signature used to authenticate the attributes of the license file | SIGN=6E88EFA8D44C


License File Examples

License Files
Learn About Your License
Example of a License File Not Specific to a Product
Plan Your Network Licensing > Learn About Your License >
License File Examples
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

License file examples are provided in this document to help you understand how the license files work for your particular network setup. Autodesk provides a standard license file for individual products and a license file with additional parameters for products that are sold both individually and as part of a product set.

  • Standard License File. If you purchase one or more individual products that are not offered as part of a suite of products, you receive a standard license file.
  • Standard License File with Additional Parameters. If you purchase Autodesk products that are included in a product set and are also sold as an individual product, you receive a standard license file with additional parameters included in the license file. The additional parameters define the sequence for license usage so that the individual product license is used before the license for the product set.

Autodesk license file examples include a license file not specific to a product, completed license files for single, distributed, and redundant server models, a combined product version license file, and an example of additional parameters added to a standard license file.

Topics in this section

  • Example of a License File Not Specific to a Product
  • Example of a License File for a Single or Distributed Server
  • Example of a License File for a Redundant Server
  • Example of a License File for Combined Autodesk Product Versions
  • Example of Additional Parameters in a License File


Example of a License File Not Specific to a Product

License File Examples
License File Examples
Example of a License File for a Single or Distributed Server
Plan Your Network Licensing > Learn About Your License > License File Examples >
Example of a License File Not Specific to a Product
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Here is an example of the contents of a license file and the parameters associated with each line:

SERVER ServerName HostID
USE_SERVER
VENDOR adskflex port=portnumber
INCREMENT feature_code Adskflex Version ExpDate NumberofLicenses \
VENDOR_STRING=UsageType:Behavior BORROW=4320 SUPERSEDE \ DUP_GROUP=DupGrp ISSUED=IssueDate SN=SerialNumber SIGN= \


Example of a License File for a Single or Distributed Server

Example of a License File Not Specific to a Product
License File Examples
Example of a License File for a Redundant Server
Plan Your Network Licensing > Learn About Your License > License File Examples >
Example of a License File for a Single or Distributed Server
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Here is an example of a completed license file for a single or distributed license server model:

SERVER XXHP0528 0019bbd68993
USE_SERVER
VENDOR adskflex port=2080
INCREMENT 57600ACD_2009_0F adskflex 1.000 permanent 5 \
   VENDOR_STRING=commercial:permanent BORROW=4320 SUPERSEDE \
   DUP_GROUP=UH ISSUED=09-Jan-2008 SN=123-12345678 SIGN="1393 \
   E368 816E D417 C1CD 7DBD 7B90 1354 D6F0 48FE EBB8 9C84 C3AF \
   7D79 BEE1 0181 0655 76FF 996C B707 14B5 D4DE A3FE 0B2D 2D36 \
   057C A579 7866 26BF 44E2" SIGN2="1280 943B 53A7 9B93 E00B D967 \
   D821 BD37 BE6D B78A F074 B223 88AA 242C DD0A 1292 D56F 4108 \
   62CD FA35 E365 0736 A011 7833 8B35 7BFF DAD8 34A8 452F 2EB4"


Example of a License File for a Redundant Server

Example of a License File for a Single or Distributed Server
License File Examples
Example of a License File for Combined Autodesk Product Versions
Plan Your Network Licensing > Learn About Your License > License File Examples >
Example of a License File for a Redundant Server
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Here is an example of a completed license file for a redundant license server model:

SERVER CCN12378042 001cc4874b03 27005
SERVER XXHP0528 0019bbd68993 27005
SERVER CCN12378043 001cc4874b10 27005
USE_SERVER
VENDOR adskflex port=2080
INCREMENT 57600ACD_2009_0F adskflex 1.000 permanent 5 \
   VENDOR_STRING=commercial:permanent BORROW=4320 SUPERSEDE \
   DUP_GROUP=UH ISSUED=10-Jan-2008 SN=123-12345678 SIGN="11C4 \
   CA79 07FC 7AD0 409A 6E04 6E98 D76C 197C 0416 076C B211 1CDD \
   D0AB 698B 16BF 7A0E D4F8 1CFE 2985 644F 64CD CECE 0DDB 5951 \
   3262 7C31 13A8 F08F 55B2" SIGN2="19A6 FDA3 2ED5 5301 8675 7B81 \
   1B0E 451B 19F1 1A99 C8E9 CBA6 8CB3 6AC3 8B38 1519 13F2 2373 \
   82AE 55E5 1A25 4952 4458 F3A2 6F28 D25D 1DC0 E066 209B 0953"
NoteThe redundant server model requires the addition of a port number (the default is 27005) for each server.


Example of a License File for Combined Autodesk Product Versions

Example of a License File for a Redundant Server
License File Examples
Example of Additional Parameters in a License File
Plan Your Network Licensing > Learn About Your License > License File Examples >
Example of a License File for Combined Autodesk Product Versions
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

You can combine a license file for different releases of the same Autodesk product or for different Autodesk products, and run all products from one license server. For example, you can combine a license file for AutoCAD 2009 with license files for Maya® 2009 and AutoCAD Map.

Here is an example of the contents of a combined license file for AutoCAD 2008 and AutoCAD 2009:

SERVER XXHP0528 0019bbd68993
USE_SERVER
VENDOR adskflex port=2080
INCREMENT 57600ACD_2009_0F adskflex 1.000 permanent 5 \
   VENDOR_STRING=commercial:permanent BORROW=4320 SUPERSEDE \
   DUP_GROUP=UH ISSUED=09-Jan-2008 SN=123-12345678 SIGN="1393 \
   E368 816E D417 C1CD 7DBD 7B90 1354 D6F0 48FE EBB8 9C84 C3AF \
   7D79 BEE1 0181 0655 76FF 996C B707 14B5 D4DE A3FE 0B2D 2D36 \
   057C A579 7866 26BF 44E2" SIGN2="1280 943B 53A7 9B93 E00B D967 \
   D821 BD37 BE6D B78A F074 B223 88AA 242C DD0A 1292 D56F 4108 \
   62CD FA35 E365 0736 A011 7833 8B35 7BFF DAD8 34A8 452F 2EB4"
INCREMENT 54600ACD_2008_0F adskflex 1.000 permanent 3 \
   VENDOR_STRING=commercial:permanent BORROW=4320 SUPERSEDE \
   DUP_GROUP=UH ISSUED=09-Jan-2008 SN=123-12345678 SIGN="1E6E \
   4B61 5712 4766 92A0 6782 9EF4 3F47 56A1 1F38 6DE8 C0C7 90AC \
   7289 152E 0EA2 CC0D 3F10 577A 0489 CEB6 10D5 FBCC B552 0C9D \
   5966 91A6 59F0 2788 FACE" SIGN2="1DDF 3B9D 3392 71D5 AB08 7E05 \
   8497 111E 092F 0E54 8DC2 2BED 17C2 2CC1 981B 0EC2 BC15 8F00 \
   C79A ABFD 2136 BABA 2EDF E941 EA53 32C6 597F F805 5A8A 599A"


Example of Additional Parameters in a License File

Example of a License File for Combined Autodesk Product Versions
License File Examples
Package License File Examples
Plan Your Network Licensing > Learn About Your License > License File Examples >
Example of Additional Parameters in a License File
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

For Autodesk products that are included in a product set and are also sold as an individual product, licenses are allocated based on a sequence of priorities defined in the license file. For those products, information similar to the following example appears in a license file:

SERVER Server1 1a34567c90d2
USE_SERVER
VENDOR adskflex port=2080
INCREMENT 54600ACD_2008_0F adskflex 1.000 permanent 5 \
   VENDOR_STRING=commercial:permanent BORROW=4320 SUPERSEDE \
   DUP_GROUP=UH ISSUED=09-Jan-2007 SN=123-12345678 SIGN="0247 \
   45D6 87C4 27A5 7F9E F24A ED3D 61E4 6B3B CC5C AD77 B865 9EA8 \
   3D62 0792 0F67 19E7 57E7 FAFA A48B D582 335A EC16 1FE5 B70D \
   76AB 6488 61CC DE5E F5B7" SIGN2="09FD 0850 7CF1 F447 9F05 9FA3 \
   2A0A 38D6 83FC 1746 F3F5 5A72 6250 E002 DE0B 0E6E F88C AC95 \
   136F 87F2 A945 E4C4 A97F 44B5 74EE 83F3 3F3E 1579 B981 8994"


Package License File Examples

Example of Additional Parameters in a License File
Learn About Your License
Example of a Package License File for a Single or Distributed Server
Plan Your Network Licensing > Learn About Your License >
Package License File Examples
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Autodesk offers a package license file option, which allows you use of a set of products that are packaged and sold together. The package license file contains a set number of licenses for four different versions of your software. Running an instance of any one of the versions uses one license in the package. Packaged license files support prior versioning for subscription users. Package license files operate under the following guidelines:

  • Package license files come with the current version of the software and three previous versions of the same product.
  • License files may be combined with license files for different products. For more information about combining license files, see Example of a License File for Combined Autodesk Product Versions.
  • Package license files cannot be combined with non-package license files for product versions contained in the package. For example, you cannot combine a Autodesk Product 2009 package license file with a regular license file for Autodesk Product 2008, 2007, or 2006.
  • Both the PACKAGE and INCREMENT sections of the license are required for licensing to work properly. When you combine license files, be sure to include both of these sections.
  • License borrowing, option files, and licensing cascading work the same for package licenses as they do for regular license files.
  • A new license file will supersede an older license file.

The following sections provide package license file examples for single, distributed, and redundant license servers, and combined Autodesk product versions.

Topics in this section

  • Example of a Package License File for a Single or Distributed Server
  • Example of a Package License File for a Redundant Server
  • Example of a Package License File for Combined Autodesk Product Versions


Example of a Package License File for a Single or Distributed Server

Package License File Examples
Package License File Examples
Example of a Package License File for a Redundant Server
Plan Your Network Licensing > Learn About Your License > Package License File Examples >
Example of a Package License File for a Single or Distributed Server
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Here is an example of a completed license file for a single or distributed license server model:

SERVER Server1 1a34567c90d2
USE_SERVER
VENDOR adskflex port=2080
PACKAGE SERIES_1 adskflex 1.000 COMPONENTS="54700REVIT_2009_0F \
   54600ACD_2009_0F 51300INVBUN_11_0F" OPTIONS=SUITE SUPERSEDE \
   ISSUED=09-Jan-2008 SIGN="1707 9EAC CBCB 2405 692E 4A89 \
   AA26 30CC 2AC2 D6B3 A61B AB5E 492E 3EBD 0B48 4E75 193A DA82" \
   FC45 C009 E360 944A 14BA E99C 9B24 5A1B 4A44 083A BE5F 3827 \
   SIGN2="004A FC90 AB47 3F6B 59BC 0E6D 6681 6971 A76A BA52 98E2 \
   5671 26B3 0E78 791B 109F 0591 7DC3 F09F 4D8D 4FB7 E341 4A03 \
   CD68 1D77 27F8 8555 9CF7 DEDD 9380"
INCREMENT SERIES_1 adskflex 1.000 permanent 100 \
   VENDOR_STRING=commercial:permanent BORROW=4320 DUP_GROUP=UH \
   SUITE_DUP_GROUP=UHV SN=123-12345678 SIGN="1707 9EAC CBCB \
   692E 4A89 FC45 C009 E360 944A 14BA E99C 9B24 5A1B 4A44 BE5F \
   3827 AA26 30CC 2AC2 D6B3 A61B AB5E 492E 3EBD 0B48 DA82" \
   SIGN2="004A FC90 AB47 3F6B 59BC 0E6D 6681 6971 A76A BA52 \
   5671 26B3 0E78 791B 109F 0591 7DC3 F09F 4D8D 4FB7 E341 4A03 \
   CD68 1D77 27F8 8555 9CF7 DEDD 9380"


Example of a Package License File for a Redundant Server

Example of a Package License File for a Single or Distributed Server
Package License File Examples
Example of a Package License File for Combined Autodesk Product Versions
Plan Your Network Licensing > Learn About Your License > Package License File Examples >
Example of a Package License File for a Redundant Server
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Here is an example of a completed license file for a redundant license server model:

SERVER 1a34567c90d2 27005
SERVER 2a34567c90d2 27005
SERVER 3a34567c90d2 27005
USE_SERVER
VENDOR adskflex port=2080
PACKAGE 64300ACD_F adskflex 1.000 COMPONENTS="57600ACD_2009_0F \
   54600ACD_2008_0F 51200ACD_2007_0F 48800ACD_2006_0F" \
   OPTIONS=SUITE SUPERSEDE ISSUED=27-May-2008 SIGN="1092 05D8 \
   A206 276B 2C84 EFAD ACA5 C54B 68A4 653E C61F 31DE C8CE B532 \
   CFBB 0006 5388 347B FDD6 A3F4 B361 7FD4 CDE4 4AAC 0D11 B0EF \
   4B44 BFD6 3426 97DD" SIGN2="0670 B01A D060 0069 FF25 F1CD D06B \
   314E E7C9 3552 5FFA 4AC7 28A7 C897 F56A 19BB FB1C 754E 6704 \
   DEEA AC4E F859 2E9B 64B6 0DD0 9CCE 9556 269F EAC0 2326"
INCREMENT 64300ACD_F adskflex 1.000 permanent 50 \
   VENDOR_STRING=commercial:permanent BORROW=4320 SUPERSEDE \
   DUP_GROUP=UH SUITE_DUP_GROUP=UHV ISSUED=27-May-2008 \
   SN=399-99999999 SIGN="1B5B 8D70 4CAD 32E5 9CA2 82E0 5C47 291C \
   35AB 9B9C 5B3E 5067 F61B 4139 1B32 0716 1FD3 5105 A991 B78E \
   9D1E 63AB BC23 0D1E B70C 2A05 E1C1 F605 ABB1 2EA8" SIGN2="01D6 \
   31F5 2951 4500 E5C8 058F 7490 9789 9EF4 CBED DA27 5F06 6780 \
   9033 2018 0C3B E1E0 3580 E60E C2BB B4AB 8D6A 4245 3059 8CA6 \
   2EFE DFAE 027F 2ABE 3F2B"


Example of a Package License File for Combined Autodesk Product Versions

Example of a Package License File for a Redundant Server
Package License File Examples
License Types and Behaviors
Plan Your Network Licensing > Learn About Your License > Package License File Examples >
Example of a Package License File for Combined Autodesk Product Versions
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Here is an example of a completed license file for combined Autodesk product versions:

SERVER servername 123456789111
USE_SERVER
VENDOR adskflex port=2080
PACKAGE 64300ACD_F adskflex 1.000 COMPONENTS="57600ACD_2009_0F \
   54600ACD_2008_0F 51200ACD_2007_0F 48800ACD_2006_0F" \
   OPTIONS=SUITE SUPERSEDE ISSUED=25-Jun-2008 SIGN="03EF DE18 \
   8046 0124 4EA4 6953 F82D 3169 7C24 D0DE E58E 8168 FFA3 D891 \
   B43B 08D8 7E7F C6ED CBCC FE2A BB0A 4566 C2AE F1C1 D373 8348 \
   E6E3 884A E398 1C78" SIGN2="07AC D696 8844 D19F AB00 8B75 53A3 \
   2F76 91DF AED0 3231 1506 0E6B ADC6 C3B8 1797 93B5 9756 8C0F \
   8811 56E6 B2BA 0523 FE2E 82B7 1628 076F 173B F37C 7240"
INCREMENT 64300ACD_F adskflex 1.000 permanent 2 \
   VENDOR_STRING=commercial:permanent BORROW=4320 SUPERSEDE \
   DUP_GROUP=UH SUITE_DUP_GROUP=UHV ISSUED=25-Jun-2008 \
   SN=399-99999999 SIGN="1CCB E88D B819 8604 06FA 9AEE 42F1 CBEA \
   37B9 3CFA A0A8 697F 9CB1 8354 6256 05ED 69D4 D2FF D512 6A2E \
   D5DD B722 EF5B 3172 BA95 4625 F8D3 DD24 BB39 6A58" SIGN2="0DFF \
   FA6F C378 20E0 2622 BE52 B434 F99F 2681 2B93 64F2 CE0C 7F4A \
   7024 B3D1 051A 6920 72BD DE35 8920 E6A1 C8D6 AF23 7BE7 CC91 \
   6916 70B1 9E80 AB07 1644"
PACKAGE 64800INVPRO_F adskflex 1.000 \
COMPONENTS="59600INVPRO_2009_0F \
   55300INVPRO_2008_0F 51400INVPRO_11_0F 49000INVPRO_10_0F" \
   OPTIONS=SUITE SUPERSEDE ISSUED=25-Jun-2008 SIGN="1306 5990 \
   F8A1 56FB 1D8A 9DA7 D6AE 8E9E F6EC 2862 367A 36E2 C5FB E6E1 \
   4AAA 0128 8C2D 95FD 09B2 ABA1 6F98 A0A3 70DE 3220 6835 7E51 \
   3849 9D81 8BDC 9DC1" SIGN2="0021 AA08 F2E7 8AEB 5345 341A 7E42 \
   3001 B8C5 DFC2 6EB8 87C5 C04A AE43 A10F 1DA1 EF8A F0FA 10F5 \
   AC81 1E22 789F A18D 650F 6BBB 563A BDA5 DD1C 82EC 27F6"
INCREMENT 64800INVPRO_F adskflex 1.000 permanent 2 \
   VENDOR_STRING=commercial:permanent BORROW=4320 SUPERSEDE \
   DUP_GROUP=UH SUITE_DUP_GROUP=UHV ISSUED=25-Jun-2008 \
   SN=399-99999966 SIGN="0BE4 51F4 570C DC48 5E66 F952 629E EDF0 \
   019C 6FF7 0509 1FF0 D4FB 3B16 1981 073F 31EC A241 8CB3 8782 \
   E655 00C6 E097 D5EF B0D8 67D3 199D 699D 2E09 B16F" SIGN2="1254 \
   3E37 0CE4 F42D B7CD 858C 92FC A963 5274 770F 9354 FE29 E117 \
   205D C632 0C4E AEC0 7501 9D9E FFEB D84D F154 16A1 E120 339A \
   FDBF 3F07 4477 B8B3 5DA4"


License Types and Behaviors

Example of a Package License File for Combined Autodesk Product Versions
Learn About Your License
Heartbeat Signal
Plan Your Network Licensing > Learn About Your License >
License Types and Behaviors
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Autodesk supports dynamic product usage and license behaviors. This means that you can purchase a specific type of behavior with a specific license and change that license at a later date without having to uninstall and reinstall the Autodesk product.

License types include the following:

  • Commercial. A license for a product that was purchased commercially.
  • Not for Resale. A license for a product that is not sold commercially. Not for Resale products are for evaluation or demonstration purposes only and may not be used for commercial or production use.
  • Educational (EDU)/Institution. A license designed specifically for educational institutions.
  • Student Portfolio. A license for students who are using an Autodesk product as part of their curriculum.

License behaviors are as follows:

  • Permanent. Enables permanent use of an Autodesk product.
  • Term Extendable. Enables access to an Autodesk product for a limited time. The term can be extended at any time.
  • Term Non-Extendable. Enables an Autodesk product for a limited time. The term cannot be extended.


Heartbeat Signal

License Types and Behaviors
Learn About Your License
Network Licensing Tools
Plan Your Network Licensing > Learn About Your License >
Heartbeat Signal
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

When an Autodesk product is running, it communicates with the license server at regular intervals using a communication method known as the “heartbeat” signal. If the heartbeat signal is lost, the server tries to reconnect. If the server cannot reconnect, the user receives a license error.

If the product stops working because it has lost a connection to the server, you must shut down the product, and then restart it. If the problem causing the original loss of the heartbeat signal is resolved and there are available licenses on the server, the program can be restarted.


Network Licensing Tools

Heartbeat Signal
Update FLEXnet from a Previous Version
Network Licensing Tools
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

This section includes information for updating FLEXnet, installing and configuring the Autodesk Network License Manager on a network, and installing and using the Network License Activation utility.

Topics in this section

  • Update FLEXnet from a Previous Version
  • Install the Autodesk Network License Manager
  • Install the Network License Activation Utility
  • Use the Network License Activation Utility
  • Obtain the Server Host Name and Host ID Manually
  • Configure a License Server (Windows)
  • Stop and Restart the License Server
  • Set Up and Use an Options File
  • Uninstall the Network License Manager


Update FLEXnet from a Previous Version

Network Licensing Tools
Network Licensing Tools
Install the Autodesk Network License Manager
Network Licensing Tools >
Update FLEXnet from a Previous Version
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

This release of Autodesk products and later require FLEXnet version 11.5 or later. If you are currently using a version of FLEXnet that is earlier than 11.5, you need to upgrade to version 11.5 or later.

NoteIf the server where you plan to install the Autodesk Network License Manager has FLEXnet installed for another product, make sure that the version of lmgrd.exe is the most current version.

To determine what version of FLEXnet is installed, you need to verify the version of the following files:

Windows

  • lmgrd.exe
  • lmtools.exe
  • lmutil.exe
  • adskflex.exe

To verify the version of lmutil.exe, lmtools.exe, or adskflex.exe (Windows)

You should be logged in with Administrator rights when working with the LMTOOLS utility.

  1. Do one of the following:
    • (Windows XP) Click Start [image] Programs [image] Autodesk [image] Network License Manager [image] LMTOOLS.
    • (Windows Vista) Double-click the LMTOOLS icon on the desktop.
  2. In lmtools.exe, click the Utility tab.
  3. On the Utility tab, enter the location of the file, or click the Browse button to locate the file and click Open. The file location should look something like this:

    C:\Program Files\Autodesk Network License Manager\lmutil.exe

  4. On the Utility tab, click Find Version.

    The version number of the file you selected is displayed. If necessary, use the following procedure to update your version of FLEXnet.

To update FLEXnet (Windows)

You should be logged in with Administrator rights when working with the LMTOOLS utility.

  1. Back up your license files.
  2. Do one of the following:
    • (Windows XP) Click Start [image] Programs [image] Autodesk [image] Network License Manager [image] LMTOOLS.
    • (Windows Vista) Double-click the LMTOOLS icon on the desktop.
  3. In the LMTOOLS program, click the Start/Stop/Reread tab.
  4. On the Start/Stop/Reread tab, click Stop Server.
  5. Close lmtools.exe.
  6. Note the location where the Network License Manager is installed and then uninstall the Network License Manager. For details about uninstalling the Network License Manager, see Uninstall the Network License Manager.
  7. Install the Network License Manager. For details about installing the Network License Manager to the same location as the previous version, see Install the Autodesk Network License Manager.
  8. Do one of the following:
    • (Windows XP) Click Start [image] Programs [image] Autodesk [image] Network License Manager [image] LMTOOLS.
    • (Windows Vista) Double-click the LMTOOLS icon on the desktop.
  9. In the LMTOOLS program, click the Start/Stop/Reread tab.
  10. On the Start/Stop/Reread tab, click Start Server.
  11. Close lmtools.exe.


Install the Autodesk Network License Manager

Update FLEXnet from a Previous Version
Network Licensing Tools
Install the Network License Activation Utility
Network Licensing Tools >
Install the Autodesk Network License Manager
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

You can install the Network License Manager before or after you use the Installation wizard. The order in which you install the network applications does not matter, as long as you install everything you need and you provide consistent license server information across the network applications.

If an earlier version of the Network License Manager is already installed on the computer, you should upgrade by installing the Autodesk Network License Manager into the same folder where the older version was located.

To install the Autodesk Network License Manager

  1. In the Autodesk Installation wizard, click Install Tools and Utilities.
  2. On the Select the Products to Install page, select the Network License Manager and click Next.
  3. Review the Autodesk software license agreement for your country or region. You must accept this agreement to proceed with the installation. Choose your country or region, click I Accept, and then click Next.
    NoteIf you do not agree to the terms of the license and want to terminate the installation, click Cancel.
  4. On the Review - Configure - Install page, click Configure.
  5. Click the Network License Manager tab, if multiple products were selected in the previous step.
  6. On the Select the Installation Location page, either accept the default installation path (C:\Program Files\Autodesk Network License Manager\) or click [...] to specify a different path. If you enter a path that does not exist, a new folder is created using the name and location you provide. Click Configuration Complete.
    WarningDo not install the Network License Manager on a remote drive. When you install the Network License Manager files, you must provide a path to a local drive. You must specify the drive letter; the universal naming convention (UNC) is not permitted.
  7. Once returned to the Review - Configure - Install page, click Install to begin installing the Network License Manager and any other selected tools and utilities.
  8. When the Installation Complete page displays, click Finish.


Install the Network License Activation Utility

Install the Autodesk Network License Manager
Network Licensing Tools
Use the Network License Activation Utility
Network Licensing Tools >
Install the Network License Activation Utility
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Install the Network License Activation utility so you will be able to obtain a license file over the Internet.

To install the Network License Activation utility

  1. In the Autodesk Installation wizard, click Install Tools and Utilities.
  2. On the Select the Products to Install page, select Network License Activation Utility and click Next.
  3. Review the Autodesk software license agreement for your country or region. You must accept this agreement to proceed with the installation. Choose your country or region, click I Accept, and then click Next.
    NoteIf you do not agree to the terms of the license and want to terminate the installation, click Cancel.
  4. On the Review - Configure - Install page, click Configure.
  5. Click the Network License Activation Utility tab, if multiple products were selected in the previous step.
  6. On the Select the Installation Location page, either accept the default installation path (C:\Program Files\Autodesk Network License Manager\Network License Activation Utility) or click [...] to specify a different path. If you enter a path that does not exist, a new folder is created using the name and location you provide. Click Configuration Complete.
  7. Once returned to the Review - Configure - Install page, click Install to begin installing the Network License Activation Utility and any other selected tools and utilities.
  8. When the Installation Complete page displays, click Finish.


Use the Network License Activation Utility

Install the Network License Activation Utility
Network Licensing Tools
Obtain the Server Host Name and Host ID Manually
Network Licensing Tools >
Use the Network License Activation Utility
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

With the Network License Activation utility, you can obtain licenses over the Internet. In addition, it registers your product, provides automated support for email if you cannot obtain a license over the Internet, and saves and migrates license files automatically.

When you want to use the Network License Activation utility to obtain a license file, make sure that you have the following information available:

  • License server information, including host name(s) and host ID(s)
  • Serial number of previous product (for upgrades only)
  • Access to a location where license files can be saved

To use your Network License Activation utility (online request)

  1. Do one of the following:
    • (Windows XP) Click Start [image] Programs [image] Autodesk [image] Network License Manager [image] [Autodesk Product] Network License Activation Utility.
    • (Windows Vista) Click Start [image] All Programs [image] Autodesk [image] Network License Manager [image] [Autodesk Product] Network License Activation Utility.
  2. On the Obtain a Network License page, make sure Direct Connect (over the Internet) is active, enter your product key, and then click Next.
  3. On the Server Information page, enter the following data:
    • The product serial number
      NoteIf you are modifying an existing license file or obtaining a new license for an existing product, your previously entered information might be displayed. Make sure that the serial number that is displayed is the one you want to license. If it is not, enter the correct product serial number.
    • The license server model

      For more information about each license server model, click the ? button.

    • The server host name

      (Windows) If you do not know the host name, enter the following in command prompt to locate the name of each server you plan to use:

      <prompt> lmutil lmhostid -hostname
      NoteIn a Distributed server model, you are limited to a maximum of 20 servers. Once the 20 server limit has been reached, the Add button disappears.
    • The host ID, for each server host name you entered

      (Windows) If you cannot find the host ID, click Lookup to have the utility automatically locate the host ID for the server(s).

      NoteIf your server has more than one network adapter, select the one that corresponds to a physical network adapter. To determine which adapters are physical, enter ipconfig /all at a Windows command prompt and view the Description field above each physical address. If there is more than one physical network adapter, you can use any one of them, as long as it was listed when you ran ipconfig /all. Logical devices such as VPN adapters, PPP adapters, and modems may be listed but are not usable for licensing.
    • The number of seats for each license server

      If you choose a Distributed server model, the Seats box is displayed. Enter the number of seats for each license server.

    Click Next.

  4. On the Confirm Server Information page, review the server information you entered, and click Next.
  5. On the Log In page, enter your User ID and Password and then click Log In.

    If you do not have a user account, click the Create a User ID Now link and follow the instructions to create a user account.

  6. On the Choose Account page, select an account and click Next.
  7. On the License(s) Received page, in the Save License File for [computer name] field, enter the location where you want to save your license file, or click Browse to navigate to the location.
    NoteIt is recommended that you save your license file to C:\Program Files\Autodesk Network License Manager\License.

    The content of this page differs depending on which server model you selected.

    Click Next.

  8. On the License Activation Successful page, click Print to save a printed copy of the license information, or click Done to complete the transaction and exit the Network Activation utility.

(Windows) After you receive your license file and save it locally, refer to How to Configure a License Server (Windows) to configure your license manager.

To use your Network License Activation utility (offline request)

  1. Do one of the following:
    • (Windows XP) Click Start [image] Programs [image] Autodesk [image] Network License Manager [image] [Autodesk Product] Network License Activation Utility.
    • (Windows Vista) Click Start [image] All Programs [image] Autodesk [image] Network License Manager [image] [Autodesk Product] Network License Activation Utility.
  2. On the Obtain a Network License page, click Email, fax, phone or send request by postal mail, and then click Next.
  3. On the Server Information page, enter the following data:
    • The product serial number
      NoteIf you are modifying an existing license file or obtaining a new license for an existing product, your previously entered information might be displayed. Make sure that the serial number that is displayed is the one you want to license. If it is not, enter the correct product serial number.
    • The license server model

      For more information about each license server model, click the ? button.

    • The server host name

      (Windows) If you do not know the host name, enter the following in command prompt to locate the name of each server you plan to use:

      <prompt> lmutil lmhostid -hostname
      NoteIn a Distributed server model, you are limited to a maximum of 20 servers. Once the 20 server limit has been reached, the Add button disappears.
    • The host ID, for each server host name you entered

      (Windows) If you cannot find the host ID, click Lookup to have the utility automatically locate the host ID for the server(s).

      NoteIf your server has more than one network adapter, select the one that corresponds to a physical network adapter. To determine which adapters are physical, enter ipconfig /all at a Windows command prompt and view the Description field above each physical address. If there is more than one physical network adapter, you can use any one of them, as long as it was listed when you ran ipconfig /all. Logical devices such as VPN adapters, PPP adapters, and modems may be listed but are not usable for licensing.
    • The number of seats for each license server

      If you choose a Distributed server model, the Seats box is displayed. Enter the number of seats for each license server.

    Click Next.

  4. On the Confirm Server Information page, review the server information you entered, and click Next.
  5. On the Product Registration page, specify the following:
    • Whether the product will be registered to a company or individual.
    • The country or region where the product will be used.
    • Whether the product is an upgrade. If it is, you also need the previous product’s serial number.

    Click Next.

  6. Enter your personalization data on the Customer Information page and choose how you would like to receive your activation code - Email, Fax, or Postal mail. Click Next.
  7. Review your personalization data on the Confirm Information page and choose the method you will use to submit your request. Your request can be sent by email, fax, or phone.

    If you choose Send my request by Email, an email message will display for you to complete. If you choose to forward your request by fax or phone, the Contact Autodesk page will display with pertinent contact information.

    You will be sent your activation code by the method you specified on the Customer Information page.

  8. If you want to print a copy of your registration information, select the Select Open Activation Request Form. When you are finished, click Close.

(Windows) After you receive your license file and save it locally, refer to How to Configure a License Server (Windows) to configure your license manager.

NoteIt is recommended that you save your license file to the location where you installed the Network License Manager.


Obtain the Server Host Name and Host ID Manually

Use the Network License Activation Utility
Network Licensing Tools
Configure a License Server (Windows)
Network Licensing Tools >
Obtain the Server Host Name and Host ID Manually
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

If you are unable to use the Network License Activation utility to obtain your server host name and host ID, you can obtain this information manually. Autodesk uses the server host name, host ID, and product serial number to generate a license file.

To obtain the information manually, you can use the Windows command prompt or you can run the lmtools.exe utility. If you use lmtools.exe, do not run it on a remote workstation.

To obtain the host name and ID using the Windows command prompt

  1. Do one of the following:
    • (Windows XP) Click Start [image] Programs [image] Accessories [image] Command Prompt.
    • (Windows Vista) Click Start [image] All Programs [image] Accessories [image] Command Prompt.
  2. At the Windows command prompt, enter the following command, and then press ENTER:

    ipconfig /all

  3. Locate the Host Name line, and write down the host name.
  4. Locate the Physical Address line. Write down the physical address without the dashes. This is your twelve-character host ID.
    NoteIf your server has more than one network adapter, select the one that corresponds to a physical network adapter. To determine which adapters are physical: in the Windows command prompt, enter ipconfig /all, and then view the Description field above each physical address. If there is more than one physical network adapter, it does not matter which one you use. Devices such as VPN adapters, PPP adapters, and modems are not valid.
  5. Close the Windows command prompt.

To obtain the host name and ID using lmtools.exe

You should be logged in with Administrator rights when working with the LMTOOLS utility.

  1. Do one of the following:
    • (Windows XP) Click Start [image] Programs [image] Autodesk [image] Network License Manager [image] LMTOOLS.
    • (Windows Vista) Double-click the LMTOOLS icon on the desktop.
  2. In the LMTOOLS program, click the Systems Settings tab.
  3. On the Systems Settings tab, locate the Computer/Hostname box. Copy the host name and paste the information into a text editor.
  4. Locate the Ethernet Address box. The Ethernet address is the host ID. It consists of twelve characters. Write down the information. If your Ethernet address is more than twelve characters, write down the first twelve characters only.
    NoteIf your server has more than one Ethernet adapter, select one that corresponds to a physical network adapter.
  5. Close lmtools.exe.


Configure a License Server (Windows)

Obtain the Server Host Name and Host ID Manually
Network Licensing Tools
Stop and Restart the License Server
Network Licensing Tools >
Configure a License Server (Windows)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

You configure a license server so that you can manage the Autodesk product licenses you received when you ran the Network License Activation utility. Configure the license server with the lmtools.exe utility.

To configure your license server

You should be logged in with Administrator rights when working with the LMTOOLS utility.

  1. Do one of the following:
    • (Windows XP) Click Start [image] Programs [image] Autodesk [image] Network License Manager [image] LMTOOLS.
    • (Windows Vista) Double-click the LMTOOLS icon on the desktop.
  2. In the LMTOOLS program, on the Service/License File tab, make sure the Configure Using Services option is active.
  3. Click the Config Services tab.
  4. In the Service Name list, select the service name you want to use to manage licenses.

    By default, the service name is Flexlm Service 1. If FLEXnet® is managing other software on your computer in addition to Autodesk, you can change the service name to avoid confusion, for example, you can rename Flexlm Service 1 to Autodesk Server1.

    NoteIf you have more than one software vendor using FLEXnet® for license management, the Service Name list contains more than one option. Make sure that only one Autodesk service is listed.
  5. In the Path to Lmgrd.exe File field, enter the path to the Network License Manager daemon (lmgrd.exe), or click Browse to locate the file.

    By default, this daemon is installed in the C:\Program Files\Autodesk Network License Manager folder.

  6. In the Path to the License File box, enter the path to your license file, or click Browse to locate the file.

    This is the path to the license file obtained by the Network License Activation utility or the location where you placed the license file if you obtained it offline.

  7. In the Path to the Debug Log File box, enter a path to create a debug log, or click Browse to locate an existing log file.

    It is recommended that you save to the C:\Program Files\Autodesk Network License Manager folder. The log file must have a .log file extension. For new log files, you must enter the .log extension manually.

  8. To run lmgrd.exe as a service, select Use Services.
  9. To start lmgrd.exe automatically when the system starts, select Start Server at Power Up.
  10. Click Save Service to save the new configuration under the service name you selected in step 4. Click Yes when prompted if you would like to save the settings to the service.
  11. Click the Start/Stop/Reread tab and do one of the following:
    • If a service has not yet been defined for Autodesk, click Start Server to start the license server.
    • If a service for Autodesk is already defined and running, click ReRead License File to refresh the Network License Manager with any changes made to the license file or Options file.

    The license server starts running and is ready to respond to client requests.

  12. Close lmtools.exe.


Stop and Restart the License Server

Configure a License Server (Windows)
Network Licensing Tools
Set Up and Use an Options File
Network Licensing Tools >
Stop and Restart the License Server
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Before you can perform any system maintenance on your license server, you must stop the license server. When you have completed maintenance, you can restart the license server.

To stop the license server (Windows)

You should be logged in with Administrator rights when working with the LMTOOLS utility.

  1. Do one of the following:
    • (Windows XP) Click Start [image] Programs [image] Autodesk [image] Network License Manager [image] LMTOOLS.
    • (Windows Vista) Double-click the LMTOOLS icon on the desktop.
  2. In the LMTOOLS program, on the Service/License File tab, select the Configure Using Services option.
  3. Select the service name for the license server you want to start manually.
  4. Click the Start/Stop/Reread tab.
  5. On the Start/Stop/Reread tab, click Stop Server.
  6. Close lmtools.exe.

To restart the license server (Windows)

You should be logged in with Administrator rights when working with the LMTOOLS utility.

  1. Do one of the following:
    • (Windows XP) Click Start [image] Programs [image] Autodesk [image] Network License Manager [image] LMTOOLS.
    • (Windows Vista) Double-click the LMTOOLS icon on the desktop.
  2. In the LMTOOLS program, on the Service/License File tab, select the Configure Using Services option.
  3. Select the service name for the license server you want to start manually.
  4. Click the Start/Stop/Reread tab.
  5. On the Start/Stop/Reread tab, click Start Server to restart the license server.


Set Up and Use an Options File

Stop and Restart the License Server
Network Licensing Tools
Create a Report Log
Network Licensing Tools >
Set Up and Use an Options File
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

With an Options file, you set configuration options for managing licenses on each license server that you set up. An Options file sets parameters that the license file reads and the lmgrd program executes.

If you want to have the same license behavior on some or all of your license servers, you must save the same Options file to each of those license servers. If you want to specify different license behavior on different license servers, you must create an Options file for each license behavior. You must save each Options file to the server where you want specific license behavior.

NoteFor Options file changes to take effect on a license server, you must save the Options file, and then use lmtools.exe to reread the license file.

With an Options file, you can do the following:

  • Create a Report Log
  • Configure License Borrowing
  • Set Up License Timeout

Here is an example of the contents of an Options file:

REPORTLOG=c:\test\report.rl

BORROW_LOWWATER Autodesk_f1 3

TIMEOUT Autodesk_f1 7200

You can also set up advanced license parameters, such as reserving a license, restricting license usage, or defining groups of users. To learn more about setting advanced Options file parameters, see the FLEXnet documentation in the C:\Program Files\Autodesk Network License Manager\docs\FlexUser folder.

To create an Options file

You should be logged in with Administrator rights when working with the LMTOOLS utility.

  1. Open a text editor, enter the parameters you want, and then save the document as a file named adskflex.opt to the same location where you saved the license file.
    NoteMake sure you save the file with the extension .opt. The default extension .txt is not recognized by the Network License Manager.
  2. Do one of the following:
    • (Windows XP) Click Start [image] Programs [image] Autodesk [image] Network License Manager [image] LMTOOLS.
    • (Windows Vista) Double-click the LMTOOLS icon on the desktop.
  3. (Windows) In the program, on the Start/Stop/Reread tab, click ReRead License File.
  4. (Windows) Close lmtools.exe.

Topics in this section

  • Create a Report Log
  • Configure License Borrowing
  • Set Up License Timeout


Create a Report Log

Set Up and Use an Options File
Set Up and Use an Options File
Configure License Borrowing
Network Licensing Tools > Set Up and Use an Options File >
Create a Report Log
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

In the Options file, you can create a report log file that is used with SAMreport-Lite.

To create a report log

  1. In a text editor, open the Options file, adskflex.opt.
  2. In the Options file, enter the following syntax on its own line (with REPORTLOG entered in uppercase, as shown):

    REPORTLOG [+]report_log_path

    For example (Windows), the syntax REPORTLOG +"c:\My Documents\report.rl" means that a report log named report.rl is located in the folder c:\My Documents.

    NotePath names that contain spaces must be enclosed in quotation marks.

    In the REPORTLOG syntax, “[+]” means that entries to the log file you create are appended rather than replaced each time the Network License Manager is restarted. (It is recommended that you use this option so that you retain a history of log entries.)


Configure License Borrowing

Create a Report Log
Set Up and Use an Options File
Set Up License Timeout
Network Licensing Tools > Set Up and Use an Options File >
Configure License Borrowing
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

If your Autodesk product supports the license borrowing feature, you can use the Options file to configure license borrowing options. For example, you can define the maximum number of licenses that cannot be borrowed from your network at any one time. In addition, you can define which users can borrow an Autodesk product license. Licenses are borrowed per user, not per machine.

NoteIf your Autodesk product supports license borrowing, and licenses are borrowed from a redundant license server pool, you must restart the license server after you stop the Network License Manager.

At the end of a borrow period, the borrowed license is automatically disabled on the user's computer and becomes available again on the license server. Users can also return a license before a borrow period has ended.

To set license borrowing parameters

  1. In the Options file, enter the following syntax on its own line (with BORROW_LOWWATER entered in uppercase, as shown):

    BORROW_LOWWATER feature_code n

    In the BORROW syntax, “feature_code” is the name of the product in the license file, and “n” is the number of licenses that cannot be borrowed.

    For example, the syntax BORROW_LOWWATER Autodesk_f1 3 means that for the product Autodesk_f1, three licenses cannot be borrowed from the license server.

  2. Enter the following syntax on the next line (with MAX_BORROW_HOURS entered in uppercase, as shown):

    MAX_BORROW_HOURS feature_code n

    In this syntax, “n” is the number of hours that a license can be borrowed.

    For example, the syntax MAX_BORROW_HOURS Autodesk_f1 360 means that for product Autodesk_f1, licenses can be borrowed for 360 hours, or 15 days.

    NoteLicenses are borrowed in increments of 24 hours only. Any number that is more than a 24-hour increment is not used. For example, the number 365 would be rounded down to 360 hours, or 15 days.

For more information about setting up the license borrowing feature, see the FLEXnet documentation in the C:\Program Files\Autodesk Network License Manager\Docs\FlexUser folder.

NoteUsers can borrow a license in an Autodesk product by clicking the Tools menu [image] License Borrowing, or by entering borrowlicense on the Autodesk product command line. Help for this feature is available in the Borrow a License for [Autodesk Product] window and in C:\Program Files\[Autodesk Product]\Help\adsk_brw.chm.


Set Up License Timeout

Configure License Borrowing
Set Up and Use an Options File
Uninstall the Network License Manager
Network Licensing Tools > Set Up and Use an Options File >
Set Up License Timeout
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

License timeout is set in the Options file to determine how long a product session can be idle before the license is reclaimed by the license server. When you set this flag in the Options file, a user's license is reclaimed by the license server if the product is idle on a workstation for more than the timeout period you define.

If a user's license is lost because of the idle timeout, the product attempts to claim a new license once the user uses the product again. If no license is available, the user can save work before the product shuts down.

You can set individual license timeouts for each Autodesk product on your computer by using the TIMEOUT parameter or you can set one license timeout for all Autodesk products on your computer by using the TIMEOUTALL parameter.

To set license timeout parameters

  • For individual Autodesk products: In the Options file, enter the following syntax on its own line (with TIMEOUT entered in uppercase, as shown):

    TIMEOUT feature_code n

    In the TIMEOUT syntax, “feature_code” is the name of the product (referred to in the INCREMENT line in the license file), and “n” is the number of seconds before an inactive license is reclaimed by the license server.

    For example, the syntax TIMEOUT Autodesk_f1 7200 means that for the product Autodesk_f1, the license timeout period is set for 7200 seconds, or two hours.

  • For all Autodesk products: In the Options file, enter the following syntax on its own line (with TIMEOUTALL entered in uppercase, as shown):

    TIMEOUTALL n

    In the TIMEOUTALL syntax, “n” is the number of seconds before an inactive license is reclaimed by the license server.

    For example, the syntax TIMEOUTALL Autodesk 7200 means that for all Autodesk products, the license timeout period is set for 7200 seconds, or two hours.

For more information about using the license timeout feature, see the FLEXnet documentation in the C:\Program Files\Autodesk Network License Manager\Docs\FlexUser folder.


Uninstall the Network License Manager

Set Up License Timeout
Network Licensing Tools
Glossary
Network Licensing Tools >
Uninstall the Network License Manager
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

You can uninstall the Network License Manager from the license server. When you uninstall the Network License Manager, licenses are no longer available to your users.

To uninstall the Network License Manager

  1. Do one of the following:
    • (Windows XP) Click Start [image] Programs [image] Autodesk [image] Network License Manager [image] LMTOOLS.
    • (Windows Vista) Double-click the LMTOOLS icon on the desktop.
  2. In the LMTOOLS program, click the Start/Stop/Reread tab.
  3. On the Start/Stop/Reread tab, click Stop Server.
  4. Close lmtools.exe.
  5. In the Windows Control Panel, double-click Add/Remove Programs.
  6. In the Add/Remove Programs window, click Autodesk Network License Manager. Click Remove.
  7. If prompted, restart your computer.
NoteYou must manually delete files that you created for use with the Network License Manager (such as log files, license files, and the Options file). They are not automatically deleted when you uninstall the Network License Manager.


Glossary

Uninstall the Network License Manager
Glossary
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
adskflex.exe

The Autodesk vendor daemon used with the FLEXnet license technology. This daemon keeps track of the Autodesk licenses that are checked out and the workstations that are using the licenses.

ADSKFLEX_LICENSE_FILE

In a distributed license server configuration, the environment variable used to point a workstation to the distributed license servers.

borrowed license

A license that allows you to use an Autodesk product for a limited period of time without having to buy a separate license or have network access to the license server.

daemon

A program that runs continuously in the background of a computer. The daemon handles requests from the computer and then forwards the requests to other programs or processes. The Network License Manager uses two daemons: the vendor daemon (adskflex.exe) and the license manager daemon (lmgrd.exe).

debug log file

A file used with FLEXnet to log connection activity (such as license failure or starting and stopping) between the Network License Manager and the workstation.

deployment

The files and folders created on a server and used by workstations to install Autodesk programs.

distributed server

A license server configuration option in which several servers are used to manage license distribution. Each distributed license server has a unique license file and a fixed number of licenses. If one distributed license server fails, the other servers are still able to distribute their licenses.

Ethernet address

See host ID.

feature code

A license file parameter that represents the product that is supported by that license file.

FLEXnet

The Acresso Software license management technology implemented in the Autodesk family of products.

heartbeat signal

The communication signal between the Network License Manager and the workstation to verify that the workstation is accessible and has an active Autodesk product session running.

host ID

The unique hardware address of a network adapter. Also known as Ethernet address or physical address.

host name

The TCP/IP name associated with a computer. FLEXnet technology uses the host name as a parameter; the host name must be distinguished from the NetBIOS (server) name.

idle

A state of inactivity in your product that prompts a network license server to reclaim a license. Inactivity is due to no mouse or keyboard activity and no commands, LISP expressions, menu macros, or scripts in progress for the period of time that is defined in the Options file. See also license timeout.

JRE (Java Runtime Environment)

A program that is required to run Java programs. This program must be installed with SAMreport-Lite.

license file

A file used with FLEXnet that controls the number of available seats. This file must be in ASCII plain text format.

license server

A server that contains the Network License Manager.

license timeout

A feature that allows you to set up a timeout period on your license server to automatically return an idle license to the server so that it is available for use again.

licpath.lic

In both single and redundant server configurations, the file used to point the workstation to the FLEXnet license server. Licpath.lic is located in the root installation folder.

lmgrd.exe

The license manager daemon. This daemon handles the original contact with the program, and then passes the connection to the vendor daemon, adskflex.exe.

lmtools.exe

A graphical user interface utility used to administer the FLEXnet license technology. (Lmutil.exe is the command line version of this utility.)

lmutil.exe

A command line utility used to administer the FLEXnet license technology. (Lmtools.exe is the graphical user interface version of this utility.)

master daemon

See lmgrd.exe.

Network License Activation utility

A utility that allows network administrators to license and authorize network versions of an Autodesk product over the Internet.

network license installation

A type of installation that requires you to install and run the Network License Manager from a network server. You must install and configure the Network License Manager before clients can run the Autodesk product.

Network License Manager

The technology used by Autodesk for network license management.

Options file

The file used by FLEXnet to control license manager parameters, such as reserving licenses and creating report logs used with SAMreport-Lite.

physical address

See host ID.

redundant server

A license server configuration option in which three servers are used to administer licenses. The redundant servers share a license file and a pool of licenses. The redundant server pool remains functional as long as two of the three servers are running and communicating with each other.

report log file

A file used with FLEXnet and SAMreport-Lite. This log file provides information about network license usage. The Options file creates the report log.

SAMreport-Lite

A version of Acresso Softwares's SAMreport tool. SAMreport-Lite is included on the Autodesk product discs.

vendor daemon

See adskflex.exe.

workstation

A desktop computer used by an individual user on a network.


Comments?

Using this form sends your comments to the Autodesk Technical Publications group responsible for this documentation.

Topic title and location (do not edit):
Name (optional):
         Email (optional):
Comments:

Note: This form is not intended as a way for you to receive feedback or technical support. The information you provide will be used to enhance future updates to the documentation. Thanks!